player = require("classes.player.player")
bullet = require("classes.weapons.bullet")
helicopter = require("classes.enemy.helicopter")
paratrooper = require("classes.enemy.paratrooper")
require("classes.enemy.handle")
require("classes.collision")
require("mainmenu")
require("game")

function love.load()

	gameState = "mainmenu"
	mainmenu:load()
	game:load()

end

function love.update(dt)

	if gameState == "mainmenu" then
		mainmenu:update(dt)
	elseif gameState == "running" then
		game:update(dt)
	elseif gameState == "gameover" then
		
	end

end

function love.draw()

	if gameState == "mainmenu" then
		mainmenu:draw()
	elseif gameState == "running" then
		game:draw()
	elseif gameState == "gameover" then
		love.graphics.setColor(255,0,0)
		love.graphics.print("SCORE: " .. player1.score, 100, 100)
		love.graphics.print("Press Q to quit!", 100, 120)
		love.graphics.setColor(255,255,255)
	end

end

function love.keypressed(key,unicode)

	if gameState == "mainmenu" then
		mainmenu:keypressed(key,unicode)
	elseif gameState == "running" then
		game:keypressed(key,unicode)
	elseif gameState == "gameover" then
		if key == "q" then love.event.push('quit') end
	end

end

function love.keyreleased(key,unicode)

	if gameState == "mainmenu" then
		mainmenu:keyreleased(key,unicode)
	elseif gameState == "running" then
		game:keyreleased(key,unicode)
	elseif gameState == "gameover" then

	end

end

function love.mousepressed(x, y, button)

	if gameState == "mainmenu" then
		mainmenu:mousepressed(x, y, button)
	elseif gameState == "running" then
		game:mousepressed(x, y, button)
	elseif gameState == "gameover" then

	end

end

function love.mousereleased(x, y, button)

	if gameState == "mainmenu" then
		mainmenu:mousereleased(x, y, button)
	elseif gameState == "running" then
		game:mousereleased(x, y, button)
	elseif gameState == "gameover" then

	end

end

function love.quit()

	mainmenu:quit()
	game:quit()

end
