
local enemy = {}
enemy.__index = enemy

local function new()
  return setmetatable({}, enemy)
end

function enemy:init(x, y, w, h, lane, speed, direction, level)

  self.x = x
	self.y = y
	self.w = w
	self.h = h
	self.lane = lane
	self.speed = speed*(level/2)
	self.dead = false
	self.level = level
	self.direction = direction

	table.insert(activeEnt, self)

end

function enemy:update(dt)

	if self.direction == 1 then self.x = self.x + (self.speed*dt) end
	if self.direction == 2 then self.x = self.x - (self.speed*dt) end
	if self.x < -40 or self.x > 1030 then self.dead = true end

end

function enemy:draw()

	love.graphics.setColor(255,0,0,255)
	love.graphics.rectangle("line", self.x, self.y, self.w, self.h)
	love.graphics.setColor(255,255,255,255)

end

function enemy:mousepressed(x,y,button)

end

function enemy:mousereleased(x,y,button)

end

return setmetatable({new = new},
  {__call = function(_, ...) return new(...) end})
