
game = {}

function game:load()

	activeEnt = {}

	-- player init
	player1 = player()
	player1:init(1024/2-64, 600, 64, 32)

	game.time = 0
	game.timer = {}
	game.timer.tick = 0
	game.timer.tick2 = 0
	
	game.level = 1
	game.enemies = 0
	
	enemy = {}
	enemyNum = 0

	paratroopers = {}

end

function game:update(dt)

	for i,v in ipairs(activeEnt) do
		v:update(dt)
		if v.health ~= nil then
			if v.health < 1 then v.dead = true end
		end
		if v.dead == true then table.remove(activeEnt, i) end
	end

	-- Timer Stuff
	game.timer.tick = game.timer.tick + 1 -- regular tick
	game.timer.tick2 = game.timer.tick2 + 1	-- secondary tick
	if game.timer.tick == 60 then -- seconds
		game.timer.tick = 0
		game.time = game.time + 1
		player1.level = player1.level + .06
	end
	if game.timer.tick2 == (60*3) then -- seconds *3
		game.timer.tick2 = 0
	end

	-- Test enemy stuff here
	spawn:heli()

	if paratroopers ~= nil then check(paratroopers,dt) end


end

function game:draw()

	for i,v in ipairs(activeEnt) do
		v:draw()
	end


	-- timer stuff
	-- this is some stuff for debugging
	love.graphics.setColor(0,255,0)
	love.graphics.print("FPS: " .. love.timer.getFPS(), 10,20)
	love.graphics.setColor(255,255,255)
	love.graphics.setColor(0,255,0)
	love.graphics.print("GTIME: " .. game.time, 10,30)
	love.graphics.print("SCORE: " .. player1.score, 10, 50)
	love.graphics.setColor(255,255,255)

end

function game:keypressed(key)

	if key == "q" then love.event.push('quit') end
	if key == "esc" then gameState = "mainmenu" end

end

function game:keyreleased(key)

end

function game:mousepressed(x, y, button)

	player1:mousepressed(x,y,button)

end

function game:mousereleased(x, y, button)

	player1:mousereleased(x,y,button)

end

function game:quit()

end



